--DROP TABLE FEDLOGDB.NMCRL_ORG_CPV CASCADE CONSTRAINTS;

CREATE TABLE FEDLOGDB.NMCRL_ORG_CPV
(
  NCAGE  VARCHAR2(5 BYTE)                       NOT NULL,
  CPV    VARCHAR2(50 CHAR)                      NOT NULL
);


CREATE UNIQUE INDEX FEDLOGDB.P_NMCRL_ORG_CPV ON FEDLOGDB.NMCRL_ORG_CPV
(NCAGE, CPV);

ALTER TABLE FEDLOGDB.NMCRL_ORG_CPV ADD (
  CONSTRAINT P_NMCRL_ORG_CPV
  PRIMARY KEY
  (NCAGE, CPV)
  USING INDEX FEDLOGDB.P_NMCRL_ORG_CPV
  ENABLE VALIDATE);


CREATE INDEX FEDLOGDB.I_NMCRL_ORG_CPV_NCAGE ON FEDLOGDB.NMCRL_ORG_CPV
(NCAGE);

ALTER TABLE FEDLOGDB.NMCRL_ORG_CPV ADD (
  CONSTRAINT F_NMCRLORGCPV_NMCRLORG 
  FOREIGN KEY (NCAGE) 
  REFERENCES FEDLOGDB.NMCRL_ORG (NCAGE)
  ENABLE VALIDATE);
